VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Quick SQLIte VB Test"
   ClientHeight    =   4800
   ClientLeft      =   60
   ClientTop       =   405
   ClientWidth     =   10305
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4800
   ScaleWidth      =   10305
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox Text1 
      BackColor       =   &H00000000&
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00E0E0E0&
      Height          =   4005
      Left            =   105
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   2
      Top             =   630
      Width           =   9990
   End
   Begin VB.CommandButton Command2 
      Caption         =   "&Exit"
      Height          =   435
      Left            =   1260
      TabIndex        =   1
      Top             =   105
      Width           =   960
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Go"
      Height          =   435
      Left            =   210
      TabIndex        =   0
      Top             =   105
      Width           =   960
   End
   Begin VB.Label Label1 
      Height          =   435
      Left            =   2625
      TabIndex        =   3
      Top             =   105
      Width           =   6105
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
    Dim V As Variant
    Dim i As Integer
    Dim j As Integer
    Dim DB As Long
    Dim FileLength As Long
    Dim DBFile As String
    Dim ErrorString As String
    Dim ReturnCode As Integer
    Dim QueryString As String
    Dim StartTime As Single
    Dim EndTime As Single
    
    On Error GoTo Error
    
    DBFile = "Albums.db"                    ' Use the demo albums (make sure it is in same folder)
    DB = 0
    Text1.Text = ""
    StartTime = Timer
    QueryString = "SELECT t1.ArtistName,CDs.Title,CDs.date " & _
             "FROM Artists t1, CDs " & _
             "Where t1.ArtistID = CDs.ArtistID " & _
             "ORDER BY ArtistName,CDs.Date DESC "
    
    ' Check for presence of the required database file
    ' SQLite will create a file if one doesn't exist!
    
    sqlite3_open DBFile, DB
    If DB > 0 Then
        WriteLn Now & " Calling sqlite_get_table() ..."
        WriteLn "Querying: " & QueryString
        V = sqlite_get_table(DB, QueryString, ErrorString, ReturnCode)
        EndTime = Timer
        WriteLn "Query complete ... " & Format$(EndTime - StartTime, "##0.000") & " seconds"
        If Not IsEmpty(V) Then
            WriteLn "Table has " & Format$(UBound(V) - LBound(V) + 1) & " column(s)"
            WriteLn "Table Variant is of type " & TypeName(V)
            WriteLn "Table has " & Format$(GetArrayDimensions(V)) & " dimensions - (should be 2)"
            WriteLn "Table has " & Format$(GetArrayRows(V)) & " row(s) (+1 higher than rowcount)"
            WriteLn "Query returned " & Format$(sqlite_query_rowcount()) & " row(s) (excluding header row)"
            WriteLn String$(200, "-")
            If GetArrayRows(V) > 1 Then
                'Address and use the data
                For i = 0 To GetArrayRows(V) - 1
                    For j = LBound(V) To UBound(V)
                        Writes V(j, i) & String$(2, 9)
                    Next
                    WriteLn
                    If i = 0 Then WriteLn String$(200, "-") ' If header row
                Next
                WriteLn String$(200, "-")
            End If
        Else
            WriteLn "No rows returned - make sure " & DBFile & " is in the same directory"
        End If
    Else
        WriteLn "Failed to open " & DBFile & " make sure it is in the same directory"
    End If
    Exit Sub
    
Error:
    Text1.Text = "Error " & Format$(Err.Number) & " (" & Err.Description & ")"
    Resume Next
End Sub
Private Sub Command2_Click()
    Unload Me
    End
End Sub
Public Sub WriteLn(Optional Str = "")  ' Avoids the messy code below
    Text1.Text = Text1.Text & Str & vbCrLf
End Sub
Public Sub Writes(Optional Str = "")
    ' Avoids the messy code below
    Text1.Text = Text1.Text & Str
End Sub

Private Sub Form_Load()
    Const WEBSITE = "http://vbtoolbox.amadis.sytes.net"
    Label1.Caption = "Performs a very simple SQLite query of the ALBUMS.DB database" & vbCrLf & _
    "Website: " & WEBSITE
    Form1.Caption = "Quick SQLIte VB Test - (DLL v" & Format$(VBSQLLibVersion / 100) & " MSVC v" & Format$((MSVCVersion / 100) - 6, "#0.0") & " Compiled: " & VBSQLLibTimeStamp & ")"
End Sub
